Subject: cxref ported (trivially)
From: [email-masked] (Robert Praetorius)

22 May 1998 00:20:40 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: Multipart/Mixed; boundary=Message-Boundary-3237
To: [email-masked]

--Message-Boundary-3237
Content-type: text/plain; charset=US-ASCII
Content-transfer-encoding: 7BIT
Content-description: Mail message body

     After a coworker expressed the desire for a cross-reference 
utility, I recalled there was something called cxref (see

	 http://www.gedanken.demon.co.uk/cxref/

) out there.  I was able to compile it under 19.1 (using Mr. Okhapin's 
latest .dll and Mr. Khan's egcs) by making one trivial change - adding 
CYGWIN32 to the list of implementations that preferred stdarg.h to 
vararg.h.

     I find the output from cxref to be quite useful and reasonably 
attractive, if a bit spartan.  (It runs somewhat slowly, 'though, 
perhaps I'll set it up for an overnight batch job.)

     The diffs I'm posting here also include a coupla local changes 
for configuration and for cxref-cpp.  Although I built cxref-cpp, I
haven't really tested it.*  When I built cxref-cpp (before building 
cxref itself), I did a

	make configure

and edited the resulting Makefile.cpp so that the pathnames in it 
contained no backslashes or colons, just to be on the safe side, then 
proceeded to do a

	make

..  I've put the resulting .EXEs in

	ftp://ftp.ma.ultranet.com/pub0/r/rmp/cxref.exe
	ftp://ftp.ma.ultranet.com/pub0/r/rmp/cxref-cpp.exe

but can't guarantee they'll be there for a long time.  If someone 
would like put them in wunna directories where cygwin ports already 
live (or rebuild from my diffs, or whatever), that'd be fine by me.

*I've tested cxref using Watcom C 11.0a (wcc386.exe) as the 
 preprocessor.  After #defining all the Watcom extended keywords out 
 of the way, this seems to work just fine.

-------p--a--s--s--i--o--n-----n--e--e--d--s-----a-----f--a--c--e-------
"oncology recapitulates philately" --Mark Maxson    Robert M. Praetorius
"balance, not symmetry" --Mark Stanley    work: [email-masked]
(attribution by Stigler)     fun & recreation: [email-masked]

--Message-Boundary-3237
Content-type: text/plain; charset=US-ASCII
Content-disposition: inline
Content-description: Attachment information.

The following section of this message contains a file attachment
prepared for transmission using the Internet MIME message format.
If you are using Pegasus Mail, or any another MIME-compliant system,
you should be able to save it or view it from within your mailer.
If you cannot, please ask your system administrator for assistance.

   ---- File information -----------
     File:  diffs
     Date:  21 May 1998, 14:01
     Size:  1968 bytes.
     Type:  Text

--Message-Boundary-3237
Content-type: Application/Octet-stream; name="diffs"; type=Text
Content-disposition: attachment; filename="diffs"

diff -c -r cxref-1.4b/Makefile.config ../cxref-1.4b/Makefile.config
*** cxref-1.4b/Makefile.config	Thu May 21 13:19:55 1998
--- ../cxref-1.4b/Makefile.config	Wed May 20 13:45:21 1998
***************
*** 50,57 ****
  # The LaTeX and dvips programs
  # (If you do not have LaTeX or dvips, leave them blank.)
  
! LATEX=latex
! DVIPS=dvips
  
  # The LaTeX page size.
  # (A4 or US only.)
--- 50,57 ----
  # The LaTeX and dvips programs
  # (If you do not have LaTeX or dvips, leave them blank.)
  
! LATEX=
! DVIPS=
  
  # The LaTeX page size.
  # (A4 or US only.)
diff -c -r cxref-1.4b/cpp/Makefile ../cxref-1.4b/cpp/Makefile
*** cxref-1.4b/cpp/Makefile	Thu May 21 13:19:58 1998
--- ../cxref-1.4b/cpp/Makefile	Thu May 21 07:46:20 1998
***************
*** 35,41 ****
  
  cxref-cpp : Makefile.cpp $(OBJ_FILES)
  	[ $(CONFIG_STATUS) ] || $(LINK) $(OBJ_FILES) -o $@ $(LIBRARY)
! 	@touch $@
  
  ########
  
--- 35,41 ----
  
  cxref-cpp : Makefile.cpp $(OBJ_FILES)
  	[ $(CONFIG_STATUS) ] || $(LINK) $(OBJ_FILES) -o $@ $(LIBRARY)
! 	@touch $@.exe
  
  ########
  
***************
*** 51,57 ****
  
  cexp.c : cexp.y
  	[ $(CONFIG_STATUS) ] || $(YACC) cexp.y
! 	@touch $@
  	@mv y.tab.c cexp.c
  
  ####
--- 51,57 ----
  
  cexp.c : cexp.y
  	[ $(CONFIG_STATUS) ] || $(YACC) cexp.y
! 	@touch $@.exe
  	@mv y.tab.c cexp.c
  
  ####
diff -c -r cxref-1.4b/memory.c ../cxref-1.4b/memory.c
*** cxref-1.4b/memory.c	Thu May 21 13:19:57 1998
--- ../cxref-1.4b/memory.c	Thu May 21 08:41:10 1998
***************
*** 20,26 ****
  #if defined(__linux__) || \
      defined(__FreeBSD__) || defined(__NetBSD__) || \
      defined(__sgi__) || defined(__ultrix__) || \
!     defined(_AIX) || defined(_ATT4)
  #define USE_STD_ARG
  #endif
  
--- 20,26 ----
  #if defined(__linux__) || \
      defined(__FreeBSD__) || defined(__NetBSD__) || \
      defined(__sgi__) || defined(__ultrix__) || \
!     defined(_AIX) || defined(_ATT4) || defined(__CYGWIN32__)
  #define USE_STD_ARG
  #endif

--Message-Boundary-3237--
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".